<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.9.00
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@hccnet.nl)
* Up/Download module: 
* admin.php: last changed 18/04/2010 by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list_cat";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_GET['cat_id']))
{
	$cat_id = sanitize($_GET['cat_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_GET['doc_id']))
{
	$doc_id = sanitize($_GET['doc_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_POST['category']))
{
	$category = sanitize($_POST['category'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_POST['description']))
{
	$description = sanitize($_POST['description'], 1500 , 'U'); //sanitize the input
}
if (IsSet ($_POST['welcometext']))
{
	$welcometext = sanitize($_POST['welcometext'], 1500 , 'U'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['welcometext_prot']))
{
	$welcometext_prot = sanitize($_POST['welcometext_prot'], 1500 , 'U'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['creator']))
{
	$creator = sanitize($_POST['creator'], 80 , 'S'); //sanitize, 80 characters
}
if (IsSet ($_POST['category_title']))
{
	$category_title = sanitize($_POST['category_title'], 40 , 'S'); //sanitize, 40 characters
}

if (IsSet ($_POST['ispage']))
{
	$ispage = sanitize($_POST['ispage'], 1 , 'I'); //sanitize, 1 pos max
}
if (IsSet ($_POST['is_public']))
{
	$is_public = sanitize($_POST['is_public'], 1 , 'I'); //sanitize, 1 pos max
}

load_language('', 'sn_downloads'); //load language file

$query = "SELECT name FROM $table_modules WHERE id = '".$module."' LIMIT 1"; //get the module name                
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$modulename = mysql_result($result, 0);
unset ($query);
unset ($result);

$table_downloads = $dbprefix . "m_downloads";
$table_downloads_cat = $dbprefix . "m_downloads_cat";

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<span class=sas_module_title>" . $sas_lang['filemanager_menu'] . "</span><p>";
print "<span class=link><a href=index.php?option=modulemanager&module=$module>" . $sas_lang['manage'] . "</a><p>
       <a href=index.php?option=modulemanager&module=$module&modoption=config>" . $sas_lang['configuration'] . "</a><p></span>";
include ("interface/menuend.inc.php");
include ("interface/pagestart.inc.php");
print "<span class=\"sas_module_title\">$modulename<p></span>";

switch ($modoption) // start of switch
{

	case save_config :
	
		mysql_query("UPDATE $table_configuration SET config_value = '$welcometext' WHERE config_key = 'download_welcome_text'");
		mysql_query("UPDATE $table_configuration SET config_value = '$welcometext_prot' WHERE config_key = 'download_welcome_text_prot'");
		print "" . $sas_lang['download_module_saved'] . "</span>";
	
	break;
	
	case edit_category:
	
		$query = "SELECT title, ispage, public FROM $table_downloads_cat WHERE id = '".$cat_id."' LIMIT 1"; // getting the category     
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$category_title = mysql_result($result, 0, 0);
		$ispage_check = mysql_result($result, 0, 1);
		$is_public = mysql_result($result, 0, 2);
		unset ($query);
		unset ($result);
		
  
       	print "<span class=\"sas_module_subtitle\">" . $sas_lang['download_module_category_edit'] . "</span><p>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=$modoption&modoption=save_category&cat_id=$cat_id\">";
  
  		print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['title'] . "&nbsp;</td><td class=\"sas_row_color_even\">
    			<input type=\"text\" name=\"category_title\" size=40 class=\"textfield\" value=\"$category_title\">&nbsp;
				<img src=graphics/help.gif ONMOUSEOVER=\"popup('" . $sas_lang['download_module_categorytitle_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
    
		print  "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_category_is_page'] . "&nbsp;</td><td class=\"sas_row_color_even\">
               " . $sas_lang['yes'] . "";
		
		if ($ispage_check == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"ispage\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"ispage\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"ispage\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'];
			print "<input type=\"radio\" name=\"ispage\" value=\"0\" checked>";
		}
	
		print "</td></tr>";
        print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_category_is_public'] . "&nbsp;</td><td class=\"sas_row_color_even\">" . $sas_lang['yes'] . "";
		if ($is_public == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"is_public\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"is_public\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"is_public\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"is_public\" value=\"0\" checked>";
		}
	
		print "</td></tr>";
        print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_category_directory'] . "</td><td class=\"sas_row_color_even\">
					<b> " . $sas_config['user_path'] . "/" . $sas_config['media_dir'] . "/downloads/" . $cat_id . "</b></td></tr>";
        print "</table>";
		print "<p><br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\" onClick=\"javascript:history.go(-1)\" class=\"cancelbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
		
	break;

	case add_download:

		print "<span class=\"sas_module_subtitle\">" . $sas_lang['download_module_add'] . "<br></span>\n";
		print "<FORM METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_download&doc_id=0\"><br>\n";
	
		$query = "SELECT id, title, public FROM $table_downloads_cat ORDER BY title";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);  

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['category'] . "&nbsp;
	
  		<img src=graphics/help.gif ONMOUSEOVER=\"popup('" . $sas_lang['download_module_categorytitle_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td>
        <td class=\"sas_row_color_even\">";
	
		print "<table border=\"0\"><tr>\n";
		$i = 0;
		$checked = "checked" ;
		
		while ($category_list = mysql_fetch_array($result))
		{
			$category_name = stripslashes($category_list[1]);
			
			if ($category_list[2] == 1)
			{
				$is_protected = "(*)";
			}
			else
			{
				$is_protected = "";
			}
			
			print "<td><b>$category_name $is_protected</b></td>\n";
			print "<td><input type=\"radio\" value=\"$category_list[0]\" name=\"category\" $checked></td>\n";
			print "<td width=\"50\">&nbsp;&nbsp;</td>\n";
			$checked = "" ;
			
			if ($i == 2)
			{
				print "</tr>\n<tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
		}
			if ($i == 1)	//add some empty cells
			{
				print "<td colspan=\"6\">&nbsp;</td><tr>\n";
			}
			
			if ($i == 2)
			{
				print "<td colspan=\"2\">&nbsp;</td><tr>\n";
			}

		print "</table><br>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_creator'] . "&nbsp;</td><td class=\"sas_row_color_even\">
  				<input type=\"text\" name=\"creator\" size=40 class=\"textfield\">&nbsp;<img src=graphics/help.gif
				ONMOUSEOVER=\"popup('" . $sas_lang['download_module_creator_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";

   		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_description'] . "&nbsp;</td><td class=\"sas_row_color_even\">
		       <textarea name=\"description\" ROWS=2 COLS=60></textarea></td></tr>";

   		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['uploadfile'] . "&nbsp;</td><td class=\"sas_row_color_even\">
               </span><br><input type=file name=file size=50 class=textfield></td></tr>";
        print "</table>";

		print "<br><span class=\"sas_module_lbl2\">(*) " . $sas_lang['protected_area'] . "</span><p>";
		print "<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"cancelbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";

	break;

	case edit_download:

		$query2 = "SELECT id, description, category, creator, filename FROM $table_downloads WHERE id = '".$doc_id."' LIMIT 1";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$download_list = mysql_fetch_array($result2);
		$query2 = "SELECT public FROM $table_downloads_cat WHERE id = '".$download_list[2]."' LIMIT 1";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$is_public = mysql_result($result2, 0, 0);


		print "<span class=\"sas_module_subtitle\">" . $sas_lang['download_module_edit'] . "<br></span><br>";

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_filename'] . "</td>
               <td class=\"sas_row_color_even\"><b>$download_list[4]";
		
		if ($is_public == 1)
		{
			print " (*)";
		}
		
		print "</b><br />";

		print "</td></tr>";

		print "<FORM METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_download&doc_id=$doc_id&cat_id=$cat_id\"><br>";
		
		if ($is_public == 1)
		{
			$query = "SELECT id, title, public FROM $table_downloads_cat WHERE public = 1";
		}
		else
		{
			$query = "SELECT id, title, public FROM $table_downloads_cat WHERE public = 0";
		}
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);
		
//		print "</td></tr>";
        print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['category'] . "&nbsp;";
		print "<img src=graphics/help.gif ONMOUSEOVER=\"popup('" . $sas_lang['download_module_categorytitle_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"><td class=\"sas_row_color_even\"><br>";
	
		print "<table border=\"0\"><tr>";
		$i = 0;
		while ($category_list = mysql_fetch_array($result))
		{
			$category_name = stripslashes($category_list[1]);
			
			if ($category_list[2] == 1)
			{
				$is_protected = "(*)";
			}
			else
			{
				$is_protected = "";
			}
			
			print "<td><b>$category_name $is_protected</b></td>";
			
			if ($category_list[0] == $download_list[2])
			{
				print "<td><input type=\"radio\" value=\"$category_list[0]\" name=\"category\" checked></td><td width=\"150\">&nbsp;</td>\n";
			}
			else
			{
				
				print "<td><input type=\"radio\" value=\"$category_list[0]\" name=\"category\"></td><td width=\"150\">&nbsp;</td>\n";
			}
			
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
		}
			if ($i == 1)	//add some empty cells
			{
				print "<td colspan=\"6\">&nbsp;</td>";
			}
			
			if ($i == 2)
			{
				print "<td colspan=\"4\">&nbsp;</td>";
			}
		
		print "</table></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_creator'] . "&nbsp;</td><td class=\"sas_row_color_even\">
			   <input type=\"text\" value=\"$download_list[3]\" name=\"creator\" size=40 class=\"textfield\">&nbsp;<img src=graphics/help.gif ONMOUSEOVER=\"popup('" . $sas_lang['download_module_creator_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_description'] . "&nbsp;</td><td class=\"sas_row_color_even\">
               <textarea name=\"description\" ROWS=4 COLS=60>$download_list[1]</textarea></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['uploadfile'] . "&nbsp;</td><td class=\"sas_row_color_even\">
               <input type=file name=file size=50 class=textfield></td></tr>";
		print "</table>";
		print "<br><span class=\"sas_module_lbl2\">(*) " . $sas_lang['protected_area'] . "</span><p>";
		print "<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"cancelbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";
		
	break;

	case add_category:

		print "<span class=\"sas_module_subtitle\">" . $sas_lang['download_module_add_category'] . "<p></span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_category&cat_id=0\">";
  
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
        print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['title'] . "&nbsp;</td>";
        print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"category_title\" size=40 class=\"textfield\">&nbsp;<img src=graphics/help.gif
				ONMOUSEOVER=\"popup('" . $sas_lang['download_module_categorytitle_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";



		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_category_is_page'] . "</td><td class=\"sas_row_color_even\">&nbsp;" . $sas_lang['yes'] ;
		print "<input type=\"radio\" value=\"1\" name=\"ispage\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"ispage\" value=\"0\" checked></td></tr>";
  
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['download_module_category_is_public'] . "</td><td class=\"sas_row_color_even\">&nbsp;" . $sas_lang['yes'] ;
		print "<input type=\"radio\" value=\"1\" name=\"is_public\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'];
		print "<input type=\"radio\" name=\"is_public\" value=\"0\" checked></td></tr>";
        print "</table>";
	
		print "<p><br /><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\" onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";

	break;

	case save_download:
	
		$result = mysql_query("SELECT public FROM $table_downloads_cat WHERE id = '".$category."' LIMIT 1");
		$is_public = mysql_result($result, 0);
		$exists = 0; // 0 is doesn't exists, 1 = exists , 2 = exists in category, 3 = edit existing file without new file upload
		$error = 0 ;
		$filename = remove_special_characters($_FILES["file"]["name"]); //we remove special characters from filename
		$store_filename = md5($filename);
		$write_path = "$serverpath/$media/downloads/" . $category . "/" . $store_filename;
	
		if (IsSet ($_FILES["file"]["name"]))
		{
			$temp_file = $_FILES["file"]["tmp_name"];
		}
	
		if (file_exists($write_path)) //file exists in downloads directory on server?
		{
			$exists = 1;
			unlink($write_path);	//delete the file so we can upload new version.
		}
	
		//does it exist in the category saved?
		if ($filename != "")
		{
			$result1 = mysql_query("SELECT id FROM $table_downloads WHERE filename = '".$filename."' AND category = '".$category."'");
	
			if (mysql_num_rows($result1) > 0) //does file already exists in category?
			{
				$exists = 2;
			}
		}
		else
		{
			$exists = 3; //no file upload, but we need to save the file properties
		}
	
		if ($filename != "")	//we need to upload the file
		{
			$write_path = $media . "/downloads/" . $category;
			if (!sas_move_uploaded_file($write_path, $filename, $temp_file))
			{
				print "<b>There has been an error uploading the file.</b><br>";
				$error = 1 ;
			}
			else
			{
				rename($serverpath . "/" . $media . "/downloads/" . $category . "/" . $filename, $serverpath . "/" . $media . "/downloads/" . $category . "/" . $store_filename);
				if(($exists == 0) OR ($exists == 1))
				{
					print $sas_lang['download_module_filename'] . " <b>" . $filename . "</b> " . $sas_lang['download_module_file_saved'] . "<p>";
				}
			}
		}
		
		if($error == 0)	//no error update mysql tables.
		{
			if (($exists == 0) OR ($exists == 1)) //does file already exists , if no save as new?
			{
				//make entry in downloads table for new file.
				mysql_query("INSERT INTO $table_downloads (id, description, category, creator, filename, date, stored_file) 
									VALUES (NULL, '$description', '$category', '$creator', '$filename', NOW(), md5('$filename'))");

			}
			elseif (($exists == 2) OR ($exists == 3)) //does file already exists in category : overwrite?
			{
				mysql_query("UPDATE $table_downloads SET description = '$description',
														creator = '$creator',
														category = '$category',
														date = NOW() 
														WHERE id = '".$doc_id."'");
														
				if (($filename != "") AND ($exists == 2))
				{
					print $sas_lang['download_module_filename'] . " <b>" . $filename . "</b><br>" . $sas_lang['download_module_file_replaced'];
				}
				else
				{
					print $sas_lang['download_module_info_save'];
				}
			}
			//else
			//{
			//	print "<span class=\"error\"><b>" . $sas_lang['download_module_file_exists'] . "</b></span>";
			//}
		}
	
		$result = mysql_query("SELECT title FROM $table_downloads_cat WHERE id = '".$category."'"); //get page name
		$page_name = addslashes(mysql_result($result, 0));
		$result2 = mysql_query("SELECT id, section, lastupdate, name FROM $table_pages WHERE module = 'sn_downloads/download_pag.php' AND name = '$page_name' ");
		if (mysql_num_rows($result2) == 0)
		{
			$result2 = mysql_query("SELECT id, section, lastupdate, name FROM $table_pages WHERE module = 'sn_downloads/downloads.php' ");
		}
		if (mysql_num_rows($result2) > 0)
		{
			$d = date("Y-m-d"); //todays date
			$change_date = mysql_result($result2, 0, 2);
			$savepage = mysql_result($result2, 0, 0);
			$section = mysql_result($result2, 0, 1);
			$title = mysql_result($result2, 0, 3);
			if ($change_date < $d) //send alerts only the first time on a date 
			{
				include ("core/send_alerts.php"); //check to see if need to send alerts  
			}
		}
		$date1 = date("Y-m-d H:i:s"); //set the lastupdate date
		mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE module = 'sn_downloads/download_pag.php' AND name = '$page_name' ");
		mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE module = 'sn_downloads/downloads.php'");
		
		print "\n<br><br><input type=\"button\" value=\"&nbsp;$sas_lang[goback]\" onClick=\"javascript:history.go(-1)\">";
		
	break ;

	case save_category:

		if ($cat_id == 0)
		{
			$query = "SELECT title FROM $table_downloads_cat WHERE title = '".$category_title."' LIMIT 1";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
			if (mysql_num_rows($result) == 0)
			{
				mysql_query("INSERT INTO $table_downloads_cat (id, title, ispage, public) VALUES (NULL, '$category_title', $ispage, $is_public)");
				$cat_id = mysql_insert_id();
				$cat_dir = "$sas_config[serverpath]$sas_config[user_path]/$sas_config[media_dir]/downloads/" . $cat_id;
	
				if (!file_exists($cat_dir))
				{
					$perm = $sas_config['file_permissions'];
					mkdir($cat_dir, 0755); //create category directory 
					chmod($cat_dir, octdec($perm)); //chmod it with permissions stored in configuration table.
					$handle = fopen($cat_dir . "/index.html", 'w'); //write an empty index.html in the directory
					fwrite($handle, "");
				}
			}
			else
			{
				print "<span class=\"error\"><b>" . $sas_lang['download_module_category_exists'] . "</b></span><p>";
			}
		}
		else
		{
			$query = "SELECT title FROM $table_downloads_cat WHERE title = '$category_title' AND id != '".$cat_id."'";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
			
			mysql_query("UPDATE $table_downloads_cat SET ispage = '$ispage' WHERE id = '".$cat_id."'");
			mysql_query("UPDATE $table_downloads_cat SET public = '$is_public' WHERE id = '".$cat_id."'");
			
			if (mysql_num_rows($result) == 0)
			{
				mysql_query("UPDATE $table_downloads_cat SET title = '$category_title' WHERE id = '".$cat_id."'");
				
			}
			else
			{
				print "<span class=\"error\"><b>" . $sas_lang['download_module_category_exists'] . "</b></span><p>";
			}
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cat&cat_id=$cat_id'</script>";
	break;

	case delete_download:

		$result = mysql_query("SELECT category FROM $table_downloads WHERE id = '".$doc_id."' LIMIT 1");
		$category = mysql_result($result, 0);
	
		$query1 = "SELECT stored_file FROM $table_downloads WHERE id = '".$doc_id."'";
		$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
		$filename = mysql_result($result1, 0);
		$file_path = $serverpath . "/$media/downloads/$cat_id/$filename";
		//try to delete it if it exists
		if (file_exists($file_path))
		{
			unlink($file_path);
		}
	
		mysql_query("DELETE FROM $table_downloads WHERE id = '$doc_id' AND category = '".$cat_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cat&cat_id=$cat_id'</script>";
	
	break;

	case delete_category:

		$query2 = "SELECT stored_file FROM $table_downloads WHERE category = '".$cat_id."'";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
			while ($file_list = mysql_fetch_array($result2))
			{
				$custompath = $serverpath . "/$media/downloads/$cat_id/$file_list[0]";
				unlink($custompath);
			}
		unlink($serverpath . "/$media/downloads/$cat_id/index.html"); //delete index.html
		rmdir($serverpath . "/$media/downloads/" . $cat_id); //remove category directory
		mysql_query("DELETE from $table_downloads WHERE category = '$cat_id'");
		mysql_query("DELETE from $table_downloads_cat WHERE id = '$cat_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_cat&cat_id=$cat_id'</script>";
		
	break;

	case config:
		
		print "<span class=\"sas_module_subtitle\"><b>" . $sas_lang['configuration'] . ":</b><p></span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['download_module_welcome'] . "&nbsp;</span></td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic fck editor for welcome text
		include ("editors/fckeditor/fckeditor.php");
		fck_editor_small('welcometext', $sas_config['download_welcome_text'], $oFCKeditor1);
		
		print "</td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['download_module_welcome_text_prot'] . "&nbsp;</span></td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic fck editor for welcome text
		fck_editor_small('welcometext_prot', $sas_config['download_welcome_text_prot'], $oFCKeditor2);
		
		print "</td></tr></table>";
		
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"cancelbutton\">";
		print "\n&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" class=\"savebutton\">";
		print "</span></form>";
		
	break;

	case list_cat:
	
		$query = "SELECT id, title, public FROM $table_downloads_cat ORDER BY public, title";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		if (mysql_num_rows($result) > 0)
		{
			while ($cat_list = mysql_fetch_array($result))
			{
				//get the number of documents for this category
				$query1 = "SELECT id FROM $table_downloads WHERE category = '$cat_list[0]'";
				$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$count = mysql_num_rows($result1) ;
				
				print "<br><table border=\"0\">
						<tr>
						<td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" 
						onClick=\"if(confirm('" . $sas_lang['download_module_deletecategory_confirm'] . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_category&cat_id=$cat_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" 
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_category&cat_id=$cat_list[0]'\">
						</td>
						<td><span class=link>" . $sas_lang['category'] . ": <a href=\"index.php?option=modulemanager&module=$module&cat_id=$cat_list[0]\">
						$cat_list[1]</a></span> <span class=\"sas_module_lbl1\">($count)</span>";
						
				if ($cat_list[2] == 1)
				{
					print "<span class=\sas_module_lbl2\"> (*)</span>";	//category is in protected area.
				}
				print "</td></tr></table>\n";
	
				
				
				if ($cat_list[0] == $cat_id)
				{
					print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\">";
					
					$query2 = "SELECT id, date_format(date, '%d-%m-%Y  %H:%i') AS Readable_Date, filename, counter, date_format(last_download, '%d-%m-%Y') AS Readable_Date FROM $table_downloads WHERE category = '$cat_list[0]' ORDER BY date DESC";
					$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
					
					while ($doc_list = mysql_fetch_array($result2))
					{
						$delete_file_confirmation = str_replace("%object%", $doc_list[2], $sas_lang['delete_file_confirmation']);
						print "<tr>
								  <td>&nbsp;</td>
								  <td>
								  <img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" onClick=\"if(confirm('" . $delete_file_confirmation . "')) 
								  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_download&doc_id=$doc_list[0]&cat_id=$cat_id';\">
								  </td>
								  <td>
								  <img border=\"0\" src=\"graphics/document.gif\">
								  </td>
								  <td><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_download&doc_id=$doc_list[0]&cat_id=$cat_id\">$doc_list[1] - $doc_list[2]</a></td>
								  <td><b>&nbsp;&nbsp;(downloads : <span class=\"sas_module_lbl1\">$doc_list[3]</span> / <span class=\"sas_module_lbl1\">$doc_list[4]</span>)</b></span>
								  </td>
								</tr>";
					}
					
					print "</table>\n";
				}
					
			}
			print "<br><span class=\"sas_module_lbl2\">(*) " . $sas_lang['protected_area'] . "</span><p>";
			print "<p><img border=\"0\" src=\"graphics/add.gif\">
					<a href=\"index.php?option=modulemanager&module=$module&modoption=add_download\">" . $sas_lang['download_module_add'] . "</a></span>";
		}
		else
		{
			print "" . $sas_lang['download_module_add_category_warning'] . "</span><br>";
		}
		print "<br><img border=\"0\" src=\"graphics/add.gif\">
					<a href=\"index.php?option=modulemanager&module=$module&modoption=add_category\">" . $sas_lang['download_module_add_category'] . "</a></span>";
		print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager';\" class=\"backbutton\">";

	break;
}
include ("interface/pageend.inc.php");
include ("interface/footer.inc.php");
?>
