<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.6.10  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@hccnet.nl)
* Mailpage module: 
* admin.php: last changed 16/02/2007 by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id$
* Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
//initialize vars
$modoption = "list_contacts";	//default choice
$name = "";
$message = "";
$email = "";
$email_text = "";
$email_picture = "";
$email_thankyou_text = "";
$description = "";

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'A'); //sanitize, max 80 characters
}
if (IsSet ($_POST['email_text']))
{
	$email_text = sanitize($_POST['email_text'], 0 , 'U'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['email_picture']))
{
	$email_picture = sanitize($_POST['email_picture'], 50 , 'S'); //sanitize 50 chars max
}
if (IsSet ($_POST['email_thankyou_text']))
{
	$email_thankyou_text = sanitize($_POST['email_thankyou_text'], 0 , 'U'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 60 , 'S'); //sanitize, 50 chars max
}
if (IsSet ($_POST['sort']))
{
	$sort = sanitize($_POST['sort'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['description']))
{
	$description = sanitize($_POST['description'], 50 , 'S'); //sanitize, 50 chars max
}

if (IsSet ($_GET['contact']))
{
	$contact = sanitize($_GET['contact'], 5 , 'I'); //sanitize, integer 5 pos.
}

load_language('', 'sn_mailpage'); //load language file

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<span class=\"sas_module_title\">" . $sas_lang['filemanager_menu'] . "</span><br><br>";
print "<a href=index.php?option=modulemanager&module=$module&modoption=list_contacts>" . $sas_lang['email_module_addressees'] . "</a></span><p>";
print "<a href=index.php?option=modulemanager&module=$module&modoption=config>" . $sas_lang['configuration'] . "</a></span><br><br>";
include ("interface/menuend.inc.php");
include ("interface/pagestart.inc.php");

$table_email_addresses = $dbprefix . "m_mail_address";

$query = "SELECT name FROM $table_modules WHERE id = '".$module."' LIMIT 1";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$modulename = mysql_result($result, 0);
unset ($query);
unset ($result);

print "<span class=\"sas_module_title\">$modulename<br><br></span>";

switch ($modoption) // start of switch
{

	case save_config :
	
		mysql_query("UPDATE $table_configuration SET config_value = '$email_text' WHERE config_key = 'email_text'");
		mysql_query("UPDATE $table_configuration SET config_value = '$email_thankyou_text' WHERE config_key = 'email_thankyou_text'");
		mysql_query("UPDATE $table_configuration SET config_value = '$email_picture' WHERE config_key = 'email_picture'");
		
		print "" . $sas_lang['email_module_saved'] . "</span>";
		print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager';\" class=\"backbutton\">";
	break;
	
	case delete_contact :
	
		mysql_query("DELETE FROM $table_email_addresses WHERE id = '".$contact."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_contacts'</script>";
		
	break;
	
	case save_contact :
	
		if ($contact == 0)	//when contact is 0 we have a new one.
		{
			mysql_query("INSERT INTO $table_email_addresses (id, name, description, email, welcometext, thankyoutext, sort)
				VALUES (NULL, '$name', '$description', '$email', '$email_text', '$email_thankyou_text', '$sort')");
		}
		else
		{
			mysql_query("UPDATE $table_email_addresses 
								SET email = '$email' ,
								name = '$name' ,
								description = '$description' ,
								welcometext = '$email_text' ,
								thankyoutext = '$email_thankyou_text',
								sort = '$sort'
								WHERE id = '".$contact."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_contacts'</script>";
		
	break;

	case config :
	
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";
		print "" . $sas_lang['email_module_config'] . "<br><br>";
  
    	print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
        print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic fck editor for welcome text
		include ("editors/fckeditor/fckeditor.php");
		fck_editor_small('email_text', $sas_config['email_text'], $oFCKeditor1);
		
		print "</td></tr>
               <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		
		// call basic fck editor for welcome text
		fck_editor_small('email_thankyou_text', $sas_config['email_thankyou_text'], $oFCKeditor2);
		
		print "</td></tr>";
		print "</select>";
		print "<tr><td width=\"50%\" class=\"sas_row_color_even\">" . $sas_lang['email_module_picture'] . "</td><td class=\"sas_row_color_even\"><input type=text size=\"60\" class=\"textfield\" name=\"email_picture\" value=\"" . $sas_config['email_picture'] . "\">";
		print "</td></tr>";
        print "</table>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager';\" class=\"backbutton\">";
		print "\n&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";
		
	break;

	case add_contact :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['email_module_add'] . "<p></span>";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_contact&contact=0\">";
    	print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td class=\"sas_row_color_even\" width=\"50%\">" . $sas_lang['email_module_name'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"50\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_email'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"50\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_description'] . ":</td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"description\" size=\"50\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_sort'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"4\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
                 <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		include ("editors/fckeditor/fckeditor.php");
		fck_editor_small('email_text', "", $oFCKeditor1);		 

		print "</td></tr>	 
			<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
            <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		fck_editor_small('email_thankyou_text', "", $oFCKeditor2);

		print "</td></tr>";
		print "</table>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";
		
	break;

	case edit_contact :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['email_module_change'] . "<p></span>";
		$query = "SELECT id, name, description, email, welcometext, thankyoutext, sort FROM $table_email_addresses WHERE id = '".$contact."'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$address_list = mysql_fetch_array($result);
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_contact&contact=$contact\">";

    	print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td class=\"sas_row_color_even\" width=\"50%\">" . $sas_lang['email_module_name'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"50\" value=\"$address_list[1]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_email'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"50\" value=\"$address_list[3]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_description'] . ":</td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"description\" size=\"50\" value=\"$address_list[2]\" class=\"textfield\"></td></tr>
   				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_sort'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"4\" value=\"$address_list[6]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
                 <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		include ("editors/fckeditor/fckeditor.php");
		fck_editor_small('email_text', $address_list[4], $oFCKeditor1);		 

		print "</td></tr>	 
			<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
            <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		fck_editor_small('email_thankyou_text', $address_list[5], $oFCKeditor2);

		print "</td></tr>";
		print "</table>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";
		
	break;

	case list_contacts :
	
		print "" . $sas_lang['email_module_header'] . "<br><br>";
		print "<p><table border=\"0\">
			   <tr>
				   <td width=\"55\" colspan=\"2\">&nbsp;</td>
				   <td width=\"200\" class=\"text\"><b>" . $sas_lang['email_module_name'] . "</b></td>
				   <td width=\"250\" class=\"text\"><b>" . $sas_lang['email_module_email'] . "</b></td>
				   <td class=\"text\"><b>" . $sas_lang['email_module_sort'] . "</b></td>
			   </tr>";
		$query = "SELECT id, name, description, email, sort FROM $table_email_addresses ORDER BY sort";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		while ($address_list = mysql_fetch_array($result))
		{
			print "<tr bgcolor=\"$bgcolor\">
					 <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" 
					 onClick=\"if(confirm('" . $sas_lang['email_module_delete'] . $address_list[1] . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_contact&contact=$address_list[0]';\"></td>
					 <td><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" 
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_contact&contact=$address_list[0]';\"></td>";
	
			print "<td class=\"text\"><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_contact&contact=$address_list[0]\">$address_list[1]</a></td>
					 <td class=\"text\">$address_list[3]</td>
					 <td class=\"text\">$address_list[4]</td>
					 </tr>";
		}
	
		print "</table>";
		print "<p><img src=graphics/add.gif alt=\"" . $sas_lang['email_module_add'] . "\">
				<a href=$PHP_SELF?option=modulemanager&module=$module&modoption=add_contact><span class=link>&nbsp;" . $sas_lang['email_module_add'] . "</span></a><br><br>";
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager';\" class=\"backbutton\">";

	break;
} //end of switch

include ("interface/pageend.inc.php");
include ("interface/footer.inc.php");
?>
