<?php
#################################################################################
#               Mail function of the newsletter module 
# This function uses the phpmailer class (included in de admin.php, if you want to use a different
# mail method you can replace the newsletter_mail function by your own.
# 
############################################################################
# mail_function2.php: last changed 22/11/2007  , version: 2.5.04
#                  by Fred Stuurman (fc.stuurman@hccnet.nl)
#$Id: mail_function2.php,v 1.1 2007/11/22 10:33:56 fstuurman Exp $
############################################################################
if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

function newsletter_mail($email_list,$content,$owner_email,$subject) 
{
//the $email_list is an array with all the emails we are going to sent the newsletter
//$email_list = ontains the actual emails as array
//$content =  actual newsletter content, contains the link when send_link = 1
//$owner_email = this is the email address of the of newsletter owner
//$subject = contains the subject for the emails

global $sas_lang, $newsletter_name, $sas_config;


$content_to_send = "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
			<html>
			<head>
			<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
			<title>$newsletter_name</title>";
			
if(file_exists("themes/".$sas_config['theme']."/style.css"))
{
	$css = "<style type=\"text/css\">";
	$lines = file("themes/".$sas_config['theme']."/style.css");
	
	foreach($lines as $value)
	{
		$css .= $value ;
	}
	
	$css .= "</style>";
	$content_to_send .= $css ;
}
$content_to_send .=	"</head><body>".$content."</body></html>" ;
$content_to_send = wordwrap($content_to_send) ;

// To send HTML mail, the Content-type header must be set
$headers  = 'MIME-Version: 1.0' . "\r\n";
$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
$headers .= "From: $owner_email<$owner_email>\n";
$headers .= "X-Sender: <$owner_email>\n"; 
$headers .= "X-Mailer: PHP\n"; // mailer
$headers .= "Return-Path: <$owner_email>\n";  // Return path for errors

$number = count($email_list) ;                          //number of emails to process
$i = 0 ;

	while ($i < $number)
	{
		// Check for safe mode
		if( !ini_get('safe_mode') )
		{
			set_time_limit(30) ;
		}
		
		mail($email_list[$i], $subject, $content_to_send, $headers);
		$i++;  
	}
return $number;
}
?>